Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchEmojis

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Emojis>
it.tdlight.jni.TdApi.SearchEmojis

Enclosing class:
  TdApi

public static final class TdApi.SearchEmojis extends TdApi.Function<TdApi.Emojis>
Searches for emojis by keywords. Supported only if the file database is enabled.

Returns `Emojis`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`exactMatch`
True, if only emojis, which exactly match text needs to be returned.
`String[]`
`inputLanguageCodes`
List of possible IETF language tags of the user's input language; may be empty if unknown.
`String`
`text`
Text to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchEmojis()`
Searches for emojis by keywords.
`SearchEmojis(DataInput input)`
Searches for emojis by keywords.
`SearchEmojis(String text, boolean exactMatch, String[] inputLanguageCodes)`
Searches for emojis by keywords.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
Text to search for.

### exactMatch

public boolean exactMatch
True, if only emojis, which exactly match text needs to be returned.

### inputLanguageCodes

public String[] inputLanguageCodes
List of possible IETF language tags of the user's input language; may be empty if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchEmojis

public SearchEmojis()
Searches for emojis by keywords. Supported only if the file database is enabled.

Returns `Emojis`

### SearchEmojis

public SearchEmojis(String text, boolean exactMatch, String[] inputLanguageCodes)
Searches for emojis by keywords. Supported only if the file database is enabled.

Returns `Emojis`

Parameters:
  `text` - String Text to search for.
  `exactMatch` - boolean True, if only emojis, which exactly match text needs to be returned.
  `inputLanguageCodes` - String[] List of possible IETF language tags of the user's input language; may be empty if unknown.

### SearchEmojis

public SearchEmojis(DataInput input) throws IOException
Searches for emojis by keywords. Supported only if the file database is enabled.

Returns `Emojis`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`